%global npm_name ipaddr.js

Summary:       A library for manipulating IPv4 and IPv6 addresses in JavaScript
Name:          nodejs-%{npm_name}
Version:       1.0.3
Release:       1%{?dist}
License:       MIT
URL:           https://github.com/whitequark/ipaddr.js
Source0:       http://registry.npmjs.org/%{npm_name}/-/%{npm_name}-%{version}.tgz
BuildRequires: nodejs-packaging
ExclusiveArch: %{nodejs_arches} noarch
BuildArch:     noarch
Provides:      nodejs-%{npm_name} = %{version}

%description
A library for manipulating IPv4 and IPv6 addresses in JavaScript.

ipaddr.js is a small (1.9K minified and gzipped) library for 
manipulating IP addresses in JavaScript environments. It runs on 
both CommonJS runtimes (e.g. nodejs) and in a web browser.

ipaddr.js allows you to verify and parse string representation of 
an IP address, match it against a CIDR range or range list, 
determine if it falls into some reserved ranges (examples include 
loopback and private ranges), and convert between IPv4 and 
IPv4-mapped IPv6 addresses.

%prep
%setup -q -n package

%build

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pr Cakefile ipaddr.min.js lib package.json src test %{buildroot}%{nodejs_sitelib}/%{npm_name}

%files
%doc LICENSE README.md
%{nodejs_sitelib}/%{npm_name}

%changelog
* Mon Sep 14 2015 Troy Dawson <tdawson@redhat.com> - 1.0.3-1
- Initial package
